libyami-devel-1.3.0+20180629.0067a64-21.2.x86_64.rpm


Advertisement

Description

libyami-devel - Development files for libyami

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Multimedia Libs all
Package name libyami-devel
Package version 1.3.0+20180629.0067a64
Package release 21.2
Package architecture x86_64
Package type rpm
Installed size 46.85 KB
Download size 16.81 KB
Official Mirror ftp.gwdg.de
The libyami-devel package contains libraries and header files for
developing applications that use libyami.

Alternatives

Package Version Architecture Repository
libyami-devel-1.1.0-2.2.x86_64.rpm 1.1.0 x86_64 openSUSE Oss
libyami-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libyami1 = 1.3.0+20180629.0067a64
pkgconfig(libva) >= 0.38
pkgconfig(libva-drm) -
pkgconfig(libva-x11) -
pkgconfig(x11) -

Provides

Name Value
libyami-devel = 1.3.0+20180629.0067a64-21.2
libyami-devel(x86-64) = 1.3.0+20180629.0067a64-21.2
pkgconfig(libyami) = 0.5.5

Download

Type URL
Binary Package libyami-devel-1.3.0+20180629.0067a64-21.2.x86_64.rpm
Source Package libyami-1.3.0+20180629.0067a64-21.2.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_42.3/ opensuse-multimedia-libs
  2. Install libyami-devel rpm package:
    # zypper install libyami-devel

Files

Path
/usr/include/libyami/VideoCommonDefs.h
/usr/include/libyami/VideoDecoderCapi.h
/usr/include/libyami/VideoDecoderDefs.h
/usr/include/libyami/VideoDecoderHost.h
/usr/include/libyami/VideoDecoderInterface.h
/usr/include/libyami/VideoEncoderCapi.h
/usr/include/libyami/VideoEncoderDefs.h
/usr/include/libyami/VideoEncoderHost.h
/usr/include/libyami/VideoEncoderInterface.h
/usr/include/libyami/VideoPostProcessDefs.h
/usr/include/libyami/VideoPostProcessHost.h
/usr/include/libyami/VideoPostProcessInterface.h
/usr/include/libyami/Yami.h
/usr/include/libyami/YamiC.h
/usr/include/libyami/YamiVersion.h
/usr/lib64/libyami.so
/usr/lib64/pkgconfig/libyami.pc

Changelog

2018-07-20 - mimi.vx@gmail.com
- Update to version 1.3.0+20180629.0067a64:
- move to git version - fixes for GCC8+ are almost in all commits
- drop fix-build-with-libva-1.x.diff
* unittest: decoder, enable lowlatency test
* configure.ac: bump API version to 0.5.5 for VIDEO_DECODE_BUFFER_FLAG
* h264, h265: add VIDEO_DECODE_BUFFER_FLAG_FRAME_END to inidicate frame end
* h264dec: fix low lantecy mode
* Add flags for SDL signoff called SDL325 - Compile With Defenses Enabled
* android: re-enable android build
* vp8enc: make some deconsturctor virtulized
* interface: remove extern C for decoder,encoder,vpp
* egl: protect YamiV4L2_UseEglImage with __ENABLE_EGL__
* v4l2: fix compile warnning for V4L2_BUF_TYPE_VIDEO_OUTPUT_MPLANE
2018-02-06 - olaf@aepfle.de
- Align libva version with configure.ac to fix build
2017-12-31 - zaitor@opensuse.org
- Add conditional pkgconfig(libva-wayland) BuildRequires and pass
conditional --enable-wayland="yes" to configure, build wayland
support for selected versions of openSUSE.
2017-12-22 - alarrosa@suse.com
- Add fix-build-with-libva-1.x.diff to fix builds with libva 1. The patch
is only applied when building in Leap 42.x .
2017-12-04 - adrien.plazas@suse.com
- Update to version 1.3.0:
* Implement H.264 SVC-T new reference mode.
* Implement H.264 low latency mode.
* Improve v4l2 interface,support dynamic resolution change.
* JPEG decoder fixes and Y800 support.
- Changes from version 1.2.0:
* Depends on libva 1.8.1.
* Improve vp9 10 bit decoder conformance.
* Improve h265 8/10 bit decoder conformance.
* Add decoder/display zero-copy API.
* Use decoder/display zero copy API in v4l2 decoder.
* Expose vp9 qp setting to the user.
* Change API from 0.4.0 to 0.5.0 for following interface changes:
- Get/set surface in SurfaceAllocParams.
- Add VIDEO_DATA_MEMORY_TYPE_EXTERNAL_DMA_BUF.
2017-03-21 - jengelh@inai.de
- Correct RPM groups again. Fix error in description.
2017-02-19 - mpluskal@suse.com
- Cleanup spec file:
* Run spec-clener
* Trim not needed sections
* Use correct rpm groups
* Install license
* Correct openSUSE spelling
2017-01-21 - seanvk@posteo.de
- Update for Release 1.1.0
2017-01-19 - seanvk@posteo.de
- Initial SPEC file

See Also

Package Description
libyami1-1.3.0+20180629.0067a64-21.2.x86_64.rpm Library components for libyami
libzbar-devel-0.10_2013_02_28-7.1.x86_64.rpm Development environment for the ZBar library
libzbar0-0.10_2013_02_28-7.1.x86_64.rpm Bar code reading library
libzbar0-32bit-0.10_2013_02_28-7.1.x86_64.rpm Bar code reading library
libzbarqt-devel-0.10_2013_02_28-7.1.x86_64.rpm Development environment for the ZBar Qt bindings library
libzbarqt0-0.10_2013_02_28-7.1.x86_64.rpm ZBar Qt bindings
libzbarqt0-32bit-0.10_2013_02_28-7.1.x86_64.rpm ZBar Qt bindings
libzen-devel-0.4.37-8.2.x86_64.rpm Include files to develop for libzen
libzen0-0.4.37-8.2.x86_64.rpm The ZenLib C++ utility library
libzen0-32bit-0.4.37-8.2.x86_64.rpm The ZenLib C++ utility library
libzimg2-2.7.5-1.1.x86_64.rpm Scaling, colorspace conversion, and dithering library
libzimg2-32bit-2.7.5-1.1.x86_64.rpm Scaling, colorspace conversion, and dithering library
libzita-convolver4-32bit-4.0.0-7.1.x86_64.rpm A partitioned convolution engine library
libzita-convolver4-4.0.0-7.1.x86_64.rpm A partitioned convolution engine library
lilv-0.24.4-35.1.x86_64.rpm C library to make use of LV2 plugins
Advertisement
Advertisement